james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From btell...@apache.org
Subject james-project git commit: JAMES-2559 Explicitly specify SHA1 belongs to origin
Date Fri, 19 Oct 2018 09:23:52 GMT
Repository: james-project
Updated Branches:
  refs/heads/3.1.x cdf0bd4c0 -> 23bd427ca


JAMES-2559 Explicitly specify SHA1 belongs to origin


Project: http://git-wip-us.apache.org/repos/asf/james-project/repo
Commit: http://git-wip-us.apache.org/repos/asf/james-project/commit/23bd427c
Tree: http://git-wip-us.apache.org/repos/asf/james-project/tree/23bd427c
Diff: http://git-wip-us.apache.org/repos/asf/james-project/diff/23bd427c

Branch: refs/heads/3.1.x
Commit: 23bd427ca3019d521daf6d4759c07fa8c769ca6d
Parents: cdf0bd4
Author: Benoit Tellier <btellier@linagora.com>
Authored: Thu Oct 18 11:54:10 2018 +0700
Committer: Benoit Tellier <btellier@linagora.com>
Committed: Fri Oct 19 16:23:28 2018 +0700

----------------------------------------------------------------------
 dockerfiles/merge/merge.sh | 2 ++
 1 file changed, 2 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/james-project/blob/23bd427c/dockerfiles/merge/merge.sh
----------------------------------------------------------------------
diff --git a/dockerfiles/merge/merge.sh b/dockerfiles/merge/merge.sh
index a589cb9..25e063d 100755
--- a/dockerfiles/merge/merge.sh
+++ b/dockerfiles/merge/merge.sh
@@ -31,6 +31,8 @@ git checkout apache/$ORIGINAL_BRANCH -B $ORIGINAL_BRANCH
 
 # Getting the branch to be merged from /origin
 git fetch origin
+# This is required for non master branches but fails for SHA-1
+git checkout origin/$SHA1 -b $SHA1 || true
 git checkout $SHA1
 git checkout -b SHA1_BRANCH
 


---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message